Subject: Extensions testing
From: "Marty Jack" <[email-masked]>
To: <[email-masked]>
Date: Wed, 31 Jan 2001 13:06:21 -0500
List-Id: <ietf-smtp.imc.org>

Paul Hoffman of IMC referred me to this mailing list.

I am the chief engineer for proxies in the Raptor firewall, which is now
owned by Symantec.  We are adding ESMTP support to the SMTP proxy, which
we've never had.  (I understand there is some sentiment among MTA developers
that firewalls shouldn't be playing with the protocol, but I don't have a
choice, and I would like to do this right.)  I am wondering if anyone can
offer any guidance about testing.  I have had trouble identifying clients
that can generate traffic containing the things we will need special code
for, like AUTH and BDAT and STARTTLS and ATRN.  I would like to partner with
someone to check this out.  Also, I don't understand whether any of the
deployed AUTH mechanisms will cause the connection to go encrypted.

Since this isn't standards related, I suppose it is best if you'd contact me
directly rather than cluttering the mailing list.